### Method

# Gtk CellArea get_cell_at_position

#### Declaration [src]

    GtkCellRenderer*
    gtk_cell_area_get_cell_at_position (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      const GdkRectangle* cell_area,
      int x,
      int y,
      GdkRectangle* alloc_area
    )

#### Description [src]

Gets the `GtkCellRenderer` at `x` and `y` coordinates inside `area` and optionally returns the full cell allocation for it inside `cell_area`.

#### Parameters

`context` | `GtkCellAreaContext`
| The `GtkCellArea`Context used to hold sizes for `area`.
| The data is owned by the caller of the function.
`widget` | `GtkWidget`
| The `GtkWidget` that `area` is rendering on.
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| The whole allocated area for `area` in `widget` for this row.
| The data is owned by the caller of the function.
`x` | `int`
| The x position.
`y` | `int`
| The y position.
`alloc_area` | `GdkRectangle*`
| Where to store the inner allocated area of the returned cell renderer.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkCellRenderer`
| The `GtkCellRenderer` at `x` and `y`.
| The data is owned by the instance.